# Enum Class VulkanLogicalDeviceType.VulkanFenceStatus

java.lang.Object
java.lang.Enum<VulkanLogicalDeviceType.VulkanFenceStatus>
com.io7m.jcoronado.api.VulkanLogicalDeviceType.VulkanFenceStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanLogicalDeviceType.VulkanFenceStatus>`, `Constable`

Enclosing interface:
  `VulkanLogicalDeviceType`

public static enum VulkanLogicalDeviceType.VulkanFenceStatus extends Enum<VulkanLogicalDeviceType.VulkanFenceStatus>
The status of an event.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_FENCE_SIGNALLED`
  The fence is signaled.
  `VK_FENCE_UNSIGNALLED`
  The fence is unsignaled.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanLogicalDeviceType.VulkanFenceStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanLogicalDeviceType.VulkanFenceStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_FENCE_SIGNALLED

    public static final VulkanLogicalDeviceType.VulkanFenceStatus VK_FENCE_SIGNALLED
    The fence is signaled.

  - ### VK_FENCE_UNSIGNALLED

    public static final VulkanLogicalDeviceType.VulkanFenceStatus VK_FENCE_UNSIGNALLED
    The fence is unsignaled.

- ## Method Details

  - ### values

    public static VulkanLogicalDeviceType.VulkanFenceStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanLogicalDeviceType.VulkanFenceStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null